/*
 *  This file is part of ScaffoldSelection, a method for the
 *  identification of potential scaffolds
 *  for the attachment of catalytic residues in a defined geometry.
 *
 *  ScaffoldSelection is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  ScaffoldSelection is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with ScaffoldSelection.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "motifConstruction.h"

using namespace std;
using namespace BALL;

/*
 * reads in a motif definition, a PDB file and anchor residue positions, that indicate on which
 * positions in the PDB file the motif should be constructed
 */
int main(int argc, char** argv)
{

	Motif motif;

	// we need 3 arguments:
	// the programm call, the motif definiton file, parameter file
	if (argc != 3)
	{
		cout << "usage:\n " << argv[0] << " <parameter file> <motif definition ini file>" << endl;
		return 1;
	}
	motif = Motif(argv[2]);

	// create the motif recontruction object, and start recontructing
	MotifConstruction mr(motif, argv[1]);
	mr.construct_motif();

	return 0;
}
